%define api    1.3
%define major  0
%define libname %mklibname net6- %api %major
%define libname_devel %mklibname net6- %api -d

Summary:    A library to ease the development of network-based applications
Name:       net6
Version:    1.3.14
Release:    %mkrel 7
URL:        http://gobby.0x539.de/
License:    GPLv2+
Source0:    http://releases.0x539.de/%{name}/%{name}-%{version}.tar.gz
Patch0:	    net6-1.3.14-drop-deprecated-gnutls-call.patch
Group:      System/Libraries
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires: pkgconfig(gnutls)
BuildRequires: gettext-devel

%description
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%package -n %libname
Summary:    A library to ease the development of network-based applications
Group:      System/Libraries
Requires:   %{name} >= %{version}
Obsoletes:  %mklibname net6_ 1.3

%description -n %libname
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%package -n %libname_devel
Summary:    Development files for %libname
Group:      System/Libraries
Provides:   lib%{name}-devel = %version-%release
Obsoletes:  %mklibname -d net6_ 1.3
Requires:   %libname = %version

%description -n %libname_devel
Development files, header and includes for %libname.

net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%prep
%setup -q
%patch0 -p1

%build
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%find_lang %name

%files -f %name.lang

%files -n %libname
%doc ChangeLog README NEWS AUTHORS
%_libdir/*%{api}.so.%{major}*

%files -n %libname_devel
%_includedir/%name/
%_libdir/*.so
%_libdir/pkgconfig/*


%changelog
* Tue Jan 12 2016 luigiwalser <luigiwalser> 1.3.14-7.mga6
+ Revision: 922302
- add patch from fedora to fix build with gnutls 3.4
- rebuild for gnutls

* Fri Aug 28 2015 cjw <cjw> 1.3.14-6.mga6
+ Revision: 870545
- compile C++ code with -std=gnu++11
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.14-5.mga5
+ Revision: 744863
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.14-4.mga5
+ Revision: 682838
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.14-3.mga4
+ Revision: 528596
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 fwang <fwang> 1.3.14-2.mga4
+ Revision: 446369
- add translations
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 28 2012 ovitters <ovitters> 1.3.14-1.mga2
+ Revision: 215750
- new version 1.3.14
- drop build patch (merged)

* Thu Sep 01 2011 dmorgan <dmorgan> 1.3.12-2.mga2
+ Revision: 137655
- Remove .la files

  + ovitters <ovitters>
    - add patch to compile against gnutls 3 from archlinux
      cleanup spec file (Mandriva version checks, buildroot, defattr)
    - imported package net6

